Do I need an iPhone or any smartphone to use Buymie?

You need have an iPhone not older than iPhone 4S and at least iOS 7 installed in order to become a Buymie personal shopper. This includes iPhone 6s Plus, iPhone 6s, iPhone 6 Plus, iPhone 6, iPhone 5s, iPhone 5c and iPhone 4s.

The Android version of our app is coming soon. Stay tuned!

Have more questions? Submit a request

0 Comments

Please sign in to leave a comment.